This service will be undergoing non-disruptive maintenance at 07:20 UTC, 2018-12-14. It is expected to last approximately 30 minutes
Bug 17868 - Fix for a coredump in irdadump
Summary: Fix for a coredump in irdadump
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: irda-utils (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
low
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-09-26 19:11 UTC by Kjartan Maraas
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-10-01 22:14:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Kjartan Maraas 2000-09-26 19:11:27 UTC
This little patch fixes a coredump when this utility is run as a normal
user. Apply in
irda-utils-0.9.10/irdadump/shell/main.c

--- main.c	Wed Jan 19 11:06:23 2000
+++ main.c.rh	Tue Sep 26 21:04:14 2000
@@ -60,6 +60,11 @@
 	char *ifdev = NULL;
 	int c;
 
+	if (geteuid() != 0) {
+		printf("You need to be root to run this utility.\n");
+		return 1;
+	}
+			
 	while ((c = getopt(argc, argv, "i:dxs:l?")) != -1) {
 		switch (c) {
 		case 'd': /* Print diffs */

Comment 1 Bernhard Rosenkraenzer 2000-10-01 22:14:39 UTC
Fixing...

Comment 2 Bernhard Rosenkraenzer 2000-10-01 22:19:33 UTC
Fixed in 0.9.10-10


Note You need to log in before you can comment on or make changes to this bug.